Get Smart Contract Transaction Details¶
Returns the signing result of a message or smart contract.
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
| wallet_code Required | String | Wallet ID |
| order_no Required | String | Order ID |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Smart contract order (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| domain_id | String | Domain identifier |
| type | String | Transaction type |
| order_wallet_info_model | Object | Wallet information model |
| wallet_code | String | Wallet code |
| coin_name | String | Coin/token name |
| wallet_name | String | Wallet name |
| connect_type | String | Connection type |
| time_stamp | Long | Order creation time stamp |
| block_hash | String | Block hash |
| miner_fee | Decimal | Miner fee for executing the contract |
| order_no | String | Order number |
| serial_no | String | Serial number |
| contract_address | String | Contract address |
| contract_address_desc | String | Contract address description |
| contract_address_label | String | Contract address label |
| from_address | String | From address |
| contract_function | String | Contract function |
| contract_function_signature | String | Contract function signature |
| gas_price | Decimal | Gas price |
| max_fee_per_gas | Decimal | Max fee |
| max_priority_fee_per_gas | Decimal | Priority fee |
| gas_limit | Decimal | Gas limit |
| gas_used | Decimal | Gas used |
| contract_data | String | Contract data |
| nonce | String | Transaction nonce |
| applicant | String | Order maker / applicant |
| status | String | Order status Allowed values: FINISHED, FAILED, PROCESSING, ORDER_SEND_OUT, COMPLETED_FAILED, CANCELED |
| ext_status | String | External status |
| inner_status | String | Internal status |
| amount | Decimal | Withdrawal amount |
| tx_id | String | Transaction hash |
| description | String | Order description |
| deposit_trans | Object[] | Deposit transaction (see deposit_trans / withdraw_trans object details below) |
| withdraw_trans | Object[] | Withdrawal transaction (see deposit_trans / withdraw_trans object details below) |
| wallet_id | Integer | Wallet ID |
| chain | String | Chain name |
| chain_id | String | Chain ID |
| payload | String | Original request payload |
| signed_data | String | Signed transaction data |
| contract_instructions | String | Contract instructions |
| bname | String | Business name |
| bid | String | Business line ID |
deposit_trans / withdraw_trans (object)
| Field | Type | Description |
|---|---|---|
| amount | Decimal | Amount |
| coin_name | String | Coin/token type |
Response Example¶
{
"code": 0,
"message": "",
"data": {
"domain_id": "1e2fa188f5d44faca64c40111062e001",
"type": "API_DAPP_TRANSACTION",
"order_wallet_info_model": null,
"wallet_code": "DeFiEVM4303011111",
"coin_name": null,
"wallet_name": "",
"connect_type": null,
"time_stamp": 1755679499000,
"block_hash": "",
"miner_fee": 3439022104100,
"order_no": "TX001",
"serial_no": "ABC245V0TSTXTEST000001",
"contract_address": "0x4aab11ADc11dD664DD1A4FDFa38dF001dac1D001",
"contract_address_desc": null,
"contract_address_label": null,
"from_address": "0x11d021cFFc2c11F11b11F54ABCb7fFFF90d0A6C1",
"contract_function": "0xa9059cbb",
"contract_function_signature": "0xa9059cbb",
"gas_price": 153322430,
"max_fee_per_gas": null,
"max_priority_fee_per_gas": null,
"gas_limit": 500000,
"gas_used": null,
"contract_data": "0xa1122cbb00000000000000000000000005d021cffc1c12f64b53f11abcb1ffff11d0a1c1000000000000000000000000000000000000000000000000000000000000000a",
"nonce": "0",
"applicant": "XXXXX@test.com",
"status": "FINISHED",
"ext_status": "FINISHED",
"inner_status": "FINISHED",
"amount": 1,
"tx_id": "0x00c0e989c7e0f31e22b18789b4abfcac00000004ba672f8a107bd8d1ae6ab000",
"description": "This is a create order",
"deposit_trans": [
{
"amount": 1,
"coin_name": "ETH_SEPOLIA"
}
],
"withdraw_trans": [
{
"amount": 1,
"coin_name": "ETH_SEPOLIA"
}
],
"wallet_id": 00001,
"chain": "SEPOLIA",
"chain_id": "11155111",
"payload": null,
"signed_data": null,
"contract_instructions": null,
"bname": null,
"bid": "b4a00000d06542ba8fedb40e99d0c000"
},
"successful": true
}